summaryrefslogtreecommitdiffstats
path: root/office/auctex/auctex.SlackBuild
diff options
context:
space:
mode:
author Aleksandar Samardzic <asamardzic@matf.bg.ac.yu>2010-05-11 20:01:48 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:48 +0200
commit839f6354a8b0019b885906651895612a844af456 (patch)
tree329a5ff0e009556b5ac187c155b7f6b392370ef2 /office/auctex/auctex.SlackBuild
parent69103e7df3eed59fd1c8e64de50fa487401c3b01 (diff)
downloadslackbuilds-839f6354a8b0019b885906651895612a844af456.tar.gz
slackbuilds-839f6354a8b0019b885906651895612a844af456.tar.xz
office/auctex: Added to 12.0 repository
Diffstat (limited to 'office/auctex/auctex.SlackBuild')
-rw-r--r--office/auctex/auctex.SlackBuild66
1 files changed, 66 insertions, 0 deletions
diff --git a/office/auctex/auctex.SlackBuild b/office/auctex/auctex.SlackBuild
new file mode 100644
index 0000000000..81b9bf397a
--- /dev/null
+++ b/office/auctex/auctex.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for AUCTeX
+
+# Written by Aleksandar B. Samardzic (<asamardzic@matf.bg.ac.yu>)
+
+set -e
+
+PRGNAM=auctex
+VERSION=11.84
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --localstatedir=/var \
+ --infodir=/usr/info
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES COPYING ChangeLog FAQ INSTALL README RELEASE TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz